ao-strs.c 14 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375
  1. /* -*- buffer-read-only: t -*- vi: set ro:
  2. *
  3. * DO NOT EDIT THIS FILE (ao-strs.c)
  4. *
  5. * It has been AutoGen-ed
  6. * From the definitions ao-strs.def
  7. * and the template file strings
  8. *
  9. * Copyright (C) 2011-2015 Bruce Korb, all rights reserved.
  10. * This is free software. It is licensed for use, modification and
  11. * redistribution under the terms of the
  12. * Modified (3 clause) Berkeley Software Distribution License
  13. * <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
  14. *
  15. * Redistribution and use in source and binary forms, with or without
  16. * modification, are permitted provided that the following conditions
  17. * are met:
  18. * 1. Redistributions of source code must retain the above copyright
  19. * notice, this list of conditions and the following disclaimer.
  20. * 2. Redistributions in binary form must reproduce the above copyright
  21. * notice, this list of conditions and the following disclaimer in the
  22. * documentation and/or other materials provided with the distribution.
  23. * 3. Neither the name ``Bruce Korb'' nor the name of any other
  24. * contributor may be used to endorse or promote products derived
  25. * from this software without specific prior written permission.
  26. *
  27. * strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
  28. * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
  29. * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  30. * ARE DISCLAIMED. IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
  31. * BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
  32. * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
  33. * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
  34. * BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
  35. * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
  36. * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
  37. * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  38. */
  39. #include "ao-strs.h"
  40. char const ao_strs_strtable[6670] =
  41. /* 0 */ "-_^\0"
  42. /* 4 */ " %s%s\n\0"
  43. /* 12 */ "auto-options\0"
  44. /* 25 */ "program\0"
  45. /* 33 */ "%%-%ds %%s\n\0"
  46. /* 45 */ "\n"
  47. "%s\n\n\0"
  48. /* 51 */ "=file\0"
  49. /* 57 */ "=Mbr\0"
  50. /* 62 */ "=Cplx\0"
  51. /* 68 */ "[=arg]\0"
  52. /* 75 */ "--%2$s%1$s\0"
  53. /* 86 */ "=Tim\0"
  54. /* 91 */ "none\0"
  55. /* 96 */ "# preset/initialization file\n"
  56. "# %s#\n\0"
  57. /* 134 */ " %3s %-14s %s\0"
  58. /* 148 */ "%s\0"
  59. /* 151 */ "T/F\0"
  60. /* 155 */ "\n"
  61. "%s\n\n"
  62. "%s\0"
  63. /* 163 */ "Fil\0"
  64. /* 167 */ "KWd\0"
  65. /* 171 */ "Mbr\0"
  66. /* 175 */ "Cpx\0"
  67. /* 179 */ "no \0"
  68. /* 183 */ "Num\0"
  69. /* 187 */ "opt\0"
  70. /* 191 */ "YES\0"
  71. /* 195 */ "Str\0"
  72. /* 199 */ "Tim\0"
  73. /* 203 */ "\t\t\t\t- \0"
  74. /* 210 */ "\t\t\t\t \0"
  75. /* 217 */ "\t\t\t\t-- and \0"
  76. /* 229 */ "\t\t\t\t%s\n\0"
  77. /* 237 */ " \0"
  78. /* 244 */ " \0"
  79. /* 250 */ " \0"
  80. /* 254 */ " \0"
  81. /* 257 */ "all\0"
  82. /* 261 */ " \t\n"
  83. ":=\0"
  84. /* 267 */ "%s_%s_%d=\0"
  85. /* 277 */ "''\0"
  86. /* 280 */ " ;;\n\n\0"
  87. /* 293 */ "'\n\n\0"
  88. /* 297 */ "</%s>\n\0"
  89. /* 304 */ " %s\n\0"
  90. /* 310 */ "%%-%ds\0"
  91. /* 317 */ "\n"
  92. "export %s_%s_%d\n\0"
  93. /* 335 */ "false\0"
  94. /* 341 */ " -* )\n\0"
  95. /* 351 */ "flag\0"
  96. /* 356 */ "INVALID-%d\0"
  97. /* 367 */ "*INVALID*\0"
  98. /* 377 */ "\\n\\\n\0"
  99. /* 382 */ " --* )\n\0"
  100. /* 393 */ "--\0"
  101. /* 396 */ "LONGUSAGE\0"
  102. /* 406 */ " %s\n\0"
  103. /* 422 */ "\\%03o\0"
  104. /* 428 */ "more\0"
  105. /* 433 */ "<%s type=nested>\n\0"
  106. /* 451 */ "%s\n\0"
  107. /* 455 */ "%s\n"
  108. " \0"
  109. /* 461 */ "OPT_ARG_NEEDED=NO\0"
  110. /* 479 */ "<%s/>\n\0"
  111. /* 486 */ "OPT_ARG_NEEDED=OK\0"
  112. /* 504 */ "\t\0"
  113. /* 506 */ "<%s>\0"
  114. /* 511 */ "option\0"
  115. /* 518 */ "\n"
  116. "export %s_%s\n\0"
  117. /* 533 */ "%s_%s=\0"
  118. /* 540 */ " | \0"
  119. /* 544 */ "PAGER\0"
  120. /* 550 */ "%1$s %2$s ; rm -f %2$s\0"
  121. /* 573 */ " + \0"
  122. /* 577 */ " puts(_(%s));\n\0"
  123. /* 593 */ "\\'\0"
  124. /* 596 */ "'%s'\0"
  125. /* 601 */ " -- %s\0"
  126. /* 608 */ "%s_%s_TEXT='\0"
  127. /* 621 */ "#! %s\n\0"
  128. /* 628 */ "\n"
  129. "env | grep '^%s_'\n\0"
  130. /* 648 */ "=%1$lu # 0x%1$lX\n\0"
  131. /* 666 */ "stdout\0"
  132. /* 673 */ "%A %B %e, %Y at %r %Z\0"
  133. /* 695 */ "TMPDIR\0"
  134. /* 702 */ "%s/use-%u.XXXXXX\0"
  135. /* 719 */ "true\0"
  136. /* 724 */ "<%s type=%s>\0"
  137. /* 737 */ "VERSION\0"
  138. /* 745 */ "#x%02X;\0"
  139. /* 753 */ "OPT_ARG_NEEDED=YES\0"
  140. /* 772 */ "'\\''\0"
  141. /* 777 */ " '%s'\0"
  142. /* 783 */ "libopts misguessed length of string\n\0"
  143. /* 820 */ "\n"
  144. "OPTION_CT=0\n\0"
  145. /* 834 */ "set --\0"
  146. /* 841 */ "/tmp\0"
  147. /* 846 */ " ;;\n\n\0"
  148. /* 863 */ " '%c' )\n\0"
  149. /* 879 */ " '%s' )\n\0"
  150. /* 895 */ " '%s' | \\\n\0"
  151. /* 913 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
  152. /* 945 */ "# From the %s option definitions\n"
  153. "#\n\0"
  154. /* 982 */ "echo 'Warning: Cannot load options files' >&2\0"
  155. /* 1029 */ "echo 'Warning: Cannot save options files' >&2\0"
  156. /* 1076 */ "echo 'Warning: Cannot suppress the loading of options files' >&2\0"
  157. /* 1142 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
  158. /* 1177 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
  159. /* 1208 */ "%1$s_%2$s_MODE='%3$s'\n"
  160. "export %1$s_%2$s_MODE\n\0"
  161. /* 1253 */ "%1$s_%2$s='%3$s'\n"
  162. "export %1$s_%2$s\n\0"
  163. /* 1288 */ "%1$s_%2$s_CT=%3$d\n"
  164. "export %1$s_%2$s_CT\n\0"
  165. /* 1327 */ "OPTION_CT=%d\n"
  166. "export OPTION_CT\n\0"
  167. /* 1358 */ "%1$s_%2$s=%3$s\n"
  168. "export %1$s_%2$s\n\0"
  169. /* 1391 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
  170. "export %1$s_%2$s\n\0"
  171. /* 1433 */ " case \"${OPT_CODE}\" in\n\0"
  172. /* 1464 */ " if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
  173. " echo 'Error: more than %3$d %2$s options'\n"
  174. " echo \"$%1$s_USAGE_TEXT\"\n"
  175. " exit 1\n"
  176. " fi >&2\n\0"
  177. /* 1655 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
  178. " echo %1$s_%2$s has not been set\n"
  179. " exit 1\n"
  180. "} 1>&2\n\0"
  181. /* 1747 */ "test -n \"$%1$s_%2$s\" || {\n"
  182. " echo %1$s_%2$s has not been set\n"
  183. " exit 1\n"
  184. "} 1>&2\n\0"
  185. /* 1828 */ " echo \"$%s_%s_TEXT\"\n"
  186. " exit 0\n\0"
  187. /* 1879 */ "\n"
  188. "# # # # # # # # # #\n"
  189. "#\n"
  190. "# END OF AUTOMATED OPTION PROCESSING\n"
  191. "#\n"
  192. "# # # # # # # # # # -- do not modify this marker --\n\0"
  193. /* 1995 */ " if [ -n \"${OPT_ARG_VAL}\" ]\n"
  194. " then\n"
  195. " eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
  196. " export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
  197. " fi\n"
  198. "done\n"
  199. "OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
  200. "OPERAND_COUNT=$#\n"
  201. "unset OPT_PROCESS || :\n"
  202. "unset OPT_ELEMENT || :\n"
  203. "unset OPT_ARG || :\n"
  204. "unset OPT_ARG_NEEDED || :\n"
  205. "unset OPT_NAME || :\n"
  206. "unset OPT_CODE || :\n"
  207. "unset OPT_ARG_VAL || :\n\0"
  208. /* 2374 */ " OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
  209. " shift\n"
  210. " OPT_ARG=$1\n"
  211. " case \"${OPT_CODE}\" in *=* )\n"
  212. " OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
  213. " OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
  214. /* 2625 */ " OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
  215. " OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
  216. /* 2742 */ "\n"
  217. "ARG_COUNT=$#\n"
  218. "OPT_PROCESS=true\n"
  219. "OPT_ARG=$1\n"
  220. "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
  221. "do\n"
  222. " OPT_ELEMENT=''\n"
  223. " OPT_ARG_VAL=''\n\n"
  224. " case \"${OPT_ARG}\" in\n"
  225. " -- )\n"
  226. " OPT_PROCESS=false\n"
  227. " shift\n"
  228. " ;;\n\0"
  229. /* 2949 */ " case \"${OPT_ARG_NEEDED}\" in\n"
  230. " NO )\n"
  231. " OPT_ARG_VAL=''\n"
  232. " ;;\n"
  233. " YES )\n"
  234. " if [ -z \"${OPT_ARG_VAL}\" ]\n"
  235. " then\n"
  236. " if [ $# -eq 0 ]\n"
  237. " then\n"
  238. " echo No argument provided for ${OPT_NAME} option\n"
  239. " echo \"$%s_USAGE_TEXT\"\n"
  240. " exit 1\n"
  241. " fi >&2\n"
  242. " OPT_ARG_VAL=${OPT_ARG}\n"
  243. " shift\n"
  244. " OPT_ARG=$1\n"
  245. " fi\n"
  246. " ;;\n"
  247. " OK )\n"
  248. " if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
  249. " then\n"
  250. " case \"${OPT_ARG}\" in -* ) ;; * )\n"
  251. " OPT_ARG_VAL=${OPT_ARG}\n"
  252. " shift\n"
  253. " OPT_ARG=$1 ;; esac\n"
  254. " fi\n"
  255. " ;;\n"
  256. " esac\n\0"
  257. /* 3728 */ " %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
  258. " OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
  259. " OPT_NAME='%2$s'\n\0"
  260. /* 3852 */ "\n"
  261. "if test -z \"${%1$s_%2$s}\"\n"
  262. "then\n"
  263. " %1$s_%2$s_CT=0\n"
  264. " export %1$s_%2$s_CT\n"
  265. "else\n"
  266. " %1$s_%2$s_CT=1\n"
  267. " %1$s_%2$s_1=${%1$s_%2$s}\n"
  268. " export %1$s_%2$s_CT %1$s_%2$s_1\n"
  269. "fi\n\0"
  270. /* 4010 */ " * )\n"
  271. " OPT_PROCESS=false\n"
  272. " ;;\n"
  273. " esac\n\0"
  274. /* 4067 */ " %1$s_%2$s_CT=0\n"
  275. " OPT_ELEMENT=''\n"
  276. " %1$s_%2$s='%3$s'\n"
  277. " export %1$s_%2$s\n"
  278. " OPT_NAME='%2$s'\n\0"
  279. /* 4208 */ " if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
  280. " echo 'Error: duplicate %2$s option'\n"
  281. " echo \"$%1$s_USAGE_TEXT\"\n"
  282. " exit 1\n"
  283. " fi >&2\n"
  284. " %1$s_%2$s_set=true\n"
  285. " %1$s_%2$s='%3$s'\n"
  286. " export %1$s_%2$s\n"
  287. " OPT_NAME='%2$s'\n\0"
  288. /* 4525 */ "\n"
  289. "ARG_COUNT=$#\n"
  290. "OPT_ARG=$1\n"
  291. "while [ $# -gt 0 ]\n"
  292. "do\n"
  293. " OPT_ELEMENT=''\n"
  294. " OPT_ARG_VAL=''\n"
  295. " OPT_ARG=${1}\n\0"
  296. /* 4628 */ " case \"${OPT_ARG_NEEDED}\" in\n"
  297. " NO )\n"
  298. " if [ -n \"${OPT_ARG}\" ]\n"
  299. " then\n"
  300. " OPT_ARG=-${OPT_ARG}\n"
  301. " else\n"
  302. " shift\n"
  303. " OPT_ARG=$1\n"
  304. " fi\n"
  305. " ;;\n"
  306. " YES )\n"
  307. " if [ -n \"${OPT_ARG}\" ]\n"
  308. " then\n"
  309. " OPT_ARG_VAL=${OPT_ARG}\n"
  310. " else\n"
  311. " if [ $# -eq 0 ]\n"
  312. " then\n"
  313. " echo No argument provided for ${OPT_NAME} option\n"
  314. " echo \"$%s_USAGE_TEXT\"\n"
  315. " exit 1\n"
  316. " fi >&2\n"
  317. " shift\n"
  318. " OPT_ARG_VAL=$1\n"
  319. " fi\n"
  320. " shift\n"
  321. " OPT_ARG=$1\n"
  322. " ;;\n"
  323. " OK )\n"
  324. " if [ -n \"${OPT_ARG}\" ]\n"
  325. " then\n"
  326. " OPT_ARG_VAL=${OPT_ARG}\n"
  327. " shift\n"
  328. " OPT_ARG=$1\n"
  329. " else\n"
  330. " shift\n"
  331. " if [ $# -gt 0 ]\n"
  332. " then\n"
  333. " case \"$1\" in -* ) ;; * )\n"
  334. " OPT_ARG_VAL=$1\n"
  335. " shift ;; esac\n"
  336. " OPT_ARG=$1\n"
  337. " fi\n"
  338. " fi\n"
  339. " ;;\n"
  340. " esac\n\0"
  341. /* 5782 */ " echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
  342. " exit 0\n\0"
  343. /* 5856 */ "%s OF %s\n"
  344. "#\n"
  345. "# From here to the next `-- do not modify this marker --',\n"
  346. "# the text has been generated %s\n\0"
  347. /* 5962 */ " eval %1$s_%2$s${OPT_ELEMENT}=true\n"
  348. " export %1$s_%2$s${OPT_ELEMENT}\n\0"
  349. /* 6052 */ " if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
  350. " echo 'Error: duplicate %2$s option'\n"
  351. " echo \"$%1$s_USAGE_TEXT\"\n"
  352. " exit 1\n"
  353. " fi >&2\n"
  354. " %1$s_%2$s_set=true\n"
  355. " OPT_NAME='%2$s'\n\0"
  356. /* 6311 */ "\n"
  357. "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
  358. "%1$s_%2$s_set=false\n"
  359. "export %1$s_%2$s\n\0"
  360. /* 6380 */ "\n"
  361. "%1$s_%2$s=${%1$s_%2$s}\n"
  362. "%1$s_%2$s_set=false\n"
  363. "export %1$s_%2$s\n\0"
  364. /* 6442 */ "# # # # # # # # # # -- do not modify this marker --\n"
  365. "#\n"
  366. "# DO NOT EDIT THIS SECTION\n\0"
  367. /* 6525 */ " * )\n"
  368. " echo Unknown %s: \"${OPT_CODE}\" >&2\n"
  369. " echo \"$%s_USAGE_TEXT\" >&2\n"
  370. " exit 1\n"
  371. " ;;\n"
  372. " esac\n";
  373. /* end of ao-strs.c */